Subject: Re: [RFC/PATCH] mm: Pass virtual address to [__]p{te,ud,md}_free_tlb()

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 20 Jul 2009 17:11:13 +1000

On Wed, 2009-07-15 at 15:56 +0200, Nick Piggin wrote:
> > I would like to merge the new support that depends on this in 2.6.32,
> > so unless there's major objections, I'd like this to go in early during
> > the merge window. We can sort out separately how to carry the patch
> > around in -next until then since the powerpc tree will have a dependency
> > on it.
> 
> Can't see any problem with that.

CC'ing Linus here. How do you want to proceed with that merge ? (IE. so
far nobody objected to the patch itself)

IE. The patch affects all archs, though it's a trivial change every
time, but I'll have stuff in powerpc-next that depends on it, and so I'm
not sure what the right approach is here. Should I put it in the powerpc
tree ?

I also didn't have any formal Ack from anybody, neither mm folks nor
arch maintainers :-)

Cheers,
Ben.